local FC = ...

FC:register({
	DataType = "EVENT",
	Id = "WELCOME_EVENT",
	Delay = 0,
	ConditionList = {
		{
		DataType = "GAME_CONDITION_BUILDING_BUILT",
		AssetBuilding = "BUILDING_VILLAGE_CENTER"
		}
	},
	ActionList = {
		{
			DataType = "ACTION_SHOW_NARRATIVE_PANEL",
			NarrativePanelData = {
				Title = "WELCOME_EVENT_TITLE",
				Description = "WELCOME_EVENT_DESC",
				PanelVisual = "ILLUSTRATION_ESTATE_KING"
			},
			ChoiceList = {	
				{
					ShortName = "WELCOME_ACCEPT",
					EventActionList = {
						{
							DataType = "ACTION_SHOW_NARRATIVE_PANEL",
							NarrativePanelData = {
								Title = "WELCOME2_EVENT_TITLE",
								Description = "WELCOME2_EVENT_DESC",
								PanelVisual = "ILLUSTRATION_ESTATE_KING"
							},
							ChoiceList = {
								{
									ShortName = "WELCOME2_ACCEPT",
									EventActionList = {
										{
											DataType = "ACTION_SHOW_NARRATIVE_PANEL",
											NarrativePanelData = {
												Title = "WELCOME3_EVENT_TITLE",
												Description = "WELCOME3_EVENT_DESC",
												PanelVisual = "ILLUSTRATION_ESTATE_KING"
											},
											ChoiceList = {
												{
													ShortName = "WELCOME3_ACCEPT",
													EventActionList = {
														{
															DataType = "ACTION_SHOW_NARRATIVE_PANEL",
															NarrativePanelData = {
																Title = "WELCOME4_EVENT_TITLE",
																Description = "WELCOME4_EVENT_DESC",
																PanelVisual = "ILLUSTRATION_ESTATE_KING"
															},
															ChoiceList = {
																{
																	ShortName = "WELCOME4_ACCEPT",
																	EventActionList = {
																		{
																			DataType = "ACTION_SHOW_NARRATIVE_PANEL",
																			NarrativePanelData = {
																				Title = "WELCOME5_EVENT_TITLE",
																				Description = "WELCOME5_EVENT_DESC",
																				PanelVisual = "ILLUSTRATION_ESTATE_KING"
																			},
																			ChoiceList = {
																				{
																					ShortName = "WELCOME5_ACCEPT"
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}	
				}
			}
		}
	}
})